Cgu::GFree Class Reference
handles and smart pointers

A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls glib's g_free(). More...

`#include <c++-gtk-utils/shared_handle.h>`

## Public Member Functions

void | operator() (const void *obj)

## Detailed Description

A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls glib's g_free().

This functor enables those classes to manage memory allocated by glib or gtk+ functions which requires to be freed with g_free(). It is used in the typedefs GcharSharedHandle and GcharScopedHandle.

## Member Function Documentation

void Cgu::GFree::operator() | ( | const void * | obj | ) |

inline

The documentation for this class was generated from the following file:

- shared_handle.h